/* mwcollect2 (c) 2004-2005 Honeynet Project
 * this code is licensed under the BSD License, the the file LICENSE for details
 *
 * log-syslog.h - log to syslog :>
 *
 * 2005-05-29	 for grgomez ;)
 */

#ifndef __MWCOLLECT_LOG_SYSLOG_H
#define __MWCOLLECT_LOG_SYSLOG_H

#include <mwcollectd.h>
#include <syslog.h>

using namespace mwcollectd;

class SyslogModule : public Module, public BasicLogger
{
public:
	SyslogModule();
	virtual ~SyslogModule();
	
	virtual void setLogManager(LogManager * pLogManager);
	virtual void setConfiguration(Configuration * pConfig, const char * szPath);

	virtual void start();
	virtual void stop();

	virtual void log(log_level_t llLevel, const char * szMessage);
	virtual void setLogLevel(mwcollectd::log_level_t llLevel) { } // ignore
	
protected:
	LogManager * m_pLogManager;
	Configuration * m_pConfiguration;
	
	log_level_t m_llLevel;
	char * m_szConfigPath;
};


#endif // __MWCOLLECT_LOG_SYSLOG_H
